CreateUser
/api/v1/usersCreate a user. Users normally arrive from an integration’s sync, so this is for the ones that don’t.
Example request
curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "email": "string" }' \ "https://us.oblique.security/api/v1/users"Set OBLIQUE_API_KEY to your API key.
curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "email": "string" }' \ "https://eu.oblique.security/api/v1/users"Set OBLIQUE_API_KEY to your API key.
Query parameters
userIdstringID of the user to create. This value should be 4-63 characters. Valid characters are /[a-z][0-9]-/.
Request body
namestringAssigned by Oblique. Format:
users/{id}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyUsers can only be soft-deleted to preserve logs and history.
displayNamestringrequiredPrimary display name of the user.
emailstringrequiredPrimary email of the user.
secondaryEmailsstring[]Additional emails of the user. These are in addition to the primary email.
titlestringSelf reported role. “VP of Engineering”, “Senior Frontend Engineer”, “Engineering Director, Frontend”.
managerstringOptional manager of the user.
Format:
users/{user}pictureUristringURI for the user’s profile picture. This can either be an “https://” scheme, or an absolute path (/imgs/foo.png).
directReportCountinteger (int32)read-onlyNumber of direct reports to this user.
totalReportCountinteger (int32)read-onlyNumber of total reports to this user.
lastLoginTimestring (date-time)read-onlyThe time the user last logged in. Not set if the user has never logged in.
Response
200UserA user represents a human user in the directory
namestringAssigned by Oblique. Format:
users/{id}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyUsers can only be soft-deleted to preserve logs and history.
displayNamestringrequiredPrimary display name of the user.
emailstringrequiredPrimary email of the user.
secondaryEmailsstring[]Additional emails of the user. These are in addition to the primary email.
titlestringSelf reported role. “VP of Engineering”, “Senior Frontend Engineer”, “Engineering Director, Frontend”.
managerstringOptional manager of the user.
Format:
users/{user}pictureUristringURI for the user’s profile picture. This can either be an “https://” scheme, or an absolute path (/imgs/foo.png).
directReportCountinteger (int32)read-onlyNumber of direct reports to this user.
totalReportCountinteger (int32)read-onlyNumber of total reports to this user.
lastLoginTimestring (date-time)read-onlyThe time the user last logged in. Not set if the user has never logged in.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |